Subject: Morphology.java

From: Piermaria Maraziti <[email-masked]>
Date: Sat, 26 Aug 2000 00:18:34 +0100

Hi all!

I'm working on various java code about lojban.

For now I've written (as an exercise) something about morphology. A class 
that parses input and creates an array of java classes representing various 
parts of speech. An example (phrases taken from the book):

.i ko'a pu jukpa ri le mudyfagri .i li na'u tanjo te'u vei pai fe'i re du 
li ci'i .i pe'i la kartagos. .ei se daspo

produces:

0) CMAVO[.i]
1) CMAVO[ko'a]
2) CMAVO[pu]
3) GISMU[jukpa]
4) CMAVO[ri]
5) CMAVO[le]
6) LUJVO[mudyfagri]
7) CMAVO[.i]
8) CMAVO[li]
9) CMAVO[na'u]
10) GISMU[tanjo]
11) CMAVO[te'u]
12) CMAVO[vei]
13) CMAVO[pai]
14) CMAVO[fe'i]
15) CMAVO[re]
16) CMAVO[du]
17) CMAVO[li]
18) CMAVO[ci'i]
19) CMAVO[.i]
20) CMAVO[pe'i]
21) CMAVO[la]
22) CMENE[kartagos.]
23) CMAVO[.ei]
24) CMAVO[se]
25) GISMU[daspo]

Every part of speech has a specialized class (and, yes, Lujvo and Gismu are 
subclasses of Brivla, which is a subclass of Valsi).
Soon, Cmavo class will identify selma'o of the word it "wraps".

At this stage I think that this may be of some use only to someone who 
knows java at least a little bit - and it runs only if you have java or jre 
installed. But I can send the jar and the sources if you wish.
Don't expect anything of any real value for now :-)

I hope I'll have the time to grow this classes into a Java parser (which 
will create a grammatical tree based on the above classes) to be used into 
a Java editor for lojban who can also suggest grammatical usages and words 
from a dictionary but... I have so little free time :-(

Anyone else here who knows Java? (yes, I saw jFlash)

Ciao!

-------------------------------------------------------------------------
Piermaria Maraziti - [email-masked] - http://piermaria.maraziti.it
ait anuas [Ex Arcano] - ainulindale: - Discordia l'Eterno - +3934735GILDA
http://gilda.it http://www.pathos.it http://discussioni.org ICQ:744473
Gran Siniscalco del Leale Ordine della Cavalleria et Stregoneria Italica